> ## Documentation Index
> Fetch the complete documentation index at: https://docs.patterns.company/llms.txt
> Use this file to discover all available pages before exploring further.

# Create prospect

> Creates a new prospect in organization



## OpenAPI

````yaml POST /prospects
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.patterns.company/v1
security:
  - bearerAuth: []
paths:
  /prospects:
    post:
      description: Creates a new prospect in organization
      requestBody:
        description: Prospect to add to the organization
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewProspect'
        required: true
      responses:
        '200':
          description: prospect response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Prospect'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewProspect:
      required:
        - email
      type: object
      properties:
        email:
          description: Email of the prospect
          type: string
        additional:
          description: Additional information about the prospect
          type: object
        test:
          description: Will use mock user enrichment if true
          type: boolean
    Prospect:
      type: object
      properties:
        id:
          description: ID of the prospect
          type: string
          format: ObjectId
        status:
          description: Status of the prospect
          type: string
          enum:
            - enriching
            - enriched
        email:
          description: Email of the prospect
          type: string
        additional:
          description: Additional information about the prospect
          type: object
        linkedin:
          description: LinkedIn of the prospect
          type: string
        name:
          description: Name of the prospect
          type: string
        company:
          description: Company of the prospect
          type: string
        role:
          description: Role in the company
          type: string
        industry:
          description: Industry of the company
          type: string
        domain:
          description: Domain of the company
          type: string
        profile:
          description: Combined profile of the prospect
          type: string
        createdAt:
          description: Date and time when the prospect was created
          type: string
          format: date-time
        updatedAt:
          description: Date and time when the prospect was last updated
          type: string
          format: date-time
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````